import request from '@/utils/require'
import {cjjd} from '@/api/index'

// 树型菜单
export function getCameraAreas(orgCode) {
    return request({
        url: `${cjjd}/cameraArea/getCameraAreas?orgCode=${orgCode}`,
        method: 'post'
    })
}

// 分页列表
export function queryCameraPreviewStatus(pageForm, data) {
    return request({
        url: `${cjjd}/kshHlhtSbxx/queryCameraPreviewStatus?pageNo=${pageForm.pageNo}&pageSize=${pageForm.pageSize}`,
        method: 'post',
        data: data
    })
}

// 导出
export function exportCameraPreviewStatus(data) {
    return request({
        url: `${cjjd}/kshHlhtSbxx/exportCameraPreviewStatus`,
        method: 'post',
        responseType: 'blob',
        data: data
    })
}